using Newtonsoft.Json;
using System.Collections.Generic;
using UnityEngine;

public sealed class StarShipData
{
    [JsonProperty("pos"), JsonConverter(typeof(Vector3Converter))]
    public Vector3 Position;
    [JsonProperty("rot"), JsonConverter(typeof(QuaternionConverter))]
    public Quaternion Rotation;
    [JsonProperty("armor")]
    public int Armor;
    [JsonProperty("hf")]
    public int HyperFuel;
    [JsonProperty("eq")]
    public EquipmentData Equipment;
    [JsonProperty("items")]
    public Dictionary<string, int> Items;
}
